#!/bin/bash
. ./0_config.sh
OUTFILE="topic.html"
sed -e "s/GROUPNAME/$GROUPNAME/g" < ./topic_header > 2/$OUTFILE
cd 1
while read LINE ; do
  TOPICFILE=`echo $LINE | cut -f 1 -d " "`.html
  SUBJECT=`grep "yg-msg-subject" $TOPICFILE | cut -f 8 -d "\""`
  echo "<tr><td colspan=3 align=center><b>$SUBJECT</b></td></tr>" >> ../2/$OUTFILE
  echo "$TOPICFILE $TIME"
  for FILE in `echo $LINE | cut -f 2- -d " "`; do
      AUTHOR=`grep "author fleft fw-600" $FILE | cut -f 2 -d ">" | cut -f 1 -d "<"`
      TIME=`grep "Message sent time" $FILE | cut -f 2 -d ">" | cut -f 1 -d "<"`
      SUBJECT=`grep "yg-msg-subject" $FILE | cut -f 8 -d "\""`
      echo "$FILE $AUTHOR $TIME $SUBJECT"
      if [ ! "x$AUTHOR" = "x" ] ; then 
       echo "$FILE $TIME"
       echo "<tr><td><a name="$FILE"><A HREF=\"$FILE\"> $SUBJECT </A></td><td> $TIME </td><td> $AUTHOR </td></tr>"  >> ../2/$OUTFILE
       #echo "<tr><td><A HREF=\"$FILE\"> $SUBJECT </A></td><td> $TIME </td><td> $AUTHOR </td></tr>"  >> TEMP_TOPIC.txt
      fi
  done
done < ../topic_list.txt
cd ..
echo "</table>" >> 2/$OUTFILE
cat footer >> 2/$OUTFILE
