#!/bin/bash
. ./0_config.sh
OUTFILE="index.html"
cd 1
rm $OUTFILE
ls | grep html | grep -v topic | sort -n > ../filelist.txt
cd ..
sed -e "s/GROUPNAME/$GROUPNAME/g" < ./index_header > 2/$OUTFILE
cd 1
while read FILE ; do
  echo $FILE
  SUBJECT=`grep  yg-msg-subject $FILE  | cut -f 8 -d "\""`
  MSGDATE=`grep "Message sent time" $FILE | cut -f 2 -d ">" | cut -f 1 -d "<"`
  AUTHOR=`grep "author fleft" $FILE | cut -f 2 -d ">"`
  if [ "x$SUBJECT" = "x" ] ; then
     SUBJECT="--message deleted on yahoo (spam?)--"
  fi
  echo "<tr><td><a name="$FILE">$MSGDATE</td><td><A HREF=$FILE>$SUBJECT</A></td><td>$AUTHOR</td></tr>" >> ../2/$OUTFILE
done < ../filelist.txt
cd ..
cat ./index_footer  >> 2/$OUTFILE

